Miércoles, 25 de marzo, 2009 | Autor:

Finalmente conseguí Ignite Realtime'S Chispa para trabajar. No me gusta especialmente Spark – es una necesidad y aunque estoy seguro de que otros han tenido problemas con él.

Como algunos lectores podrían estar al tanto, Estoy usando 64 bits Arch Linux. Spark se ejecuta en la parte superior de un JRE, independiente de la plataforma de base. Por lo tanto, esto no debería ser un problema. Sin embargo, Spark parece venir junto con un JRE de 32 bits.

Después de un montón de problemas, Finalmente me di cuenta de todo lo que tenía que hacer era ocultar o quitar (renombrar o borrar) el JRE. Este camino, Script de inicio de Spark no encontraría el JRE y estaría obligado a buscar la construida en el sistema. Me había instalado anteriormente openjdk, un JRE de código abierto desde el Arco de [extra] repositorio.

También sucede que hay un pequeño error en el script de inicio en que su busca una carpeta llamada “ventanas” cuando claramente hay tal carpeta excepto uno llamado “linux”. Vaya usted a saber.

De todos modos, aquí está el quid de la instalación si usted lo está haciendo de forma manual en 64 bits y ya tiene un JRE (tales como OpenJDK) instalado para su sistema:

mkdir -p ~/src
CD ~/src
wget http://download.igniterealtime.org/chispa/spark_2_5_8.tar.gz
de -zxvf spark_2_5_8.tar.gz
mv Chispa/Spark jre/jre.not
pero -yo 'S /  /  lib / windows /  /  lib / linux / g' Chispa/Chispa
sur mkdir -p /optar
sur mv Chispa /optar
Compartir
Puedes seguir cualquier respuesta a esta entrada a través de la RSS 2.0 pienso. Usted puede dejar un comentario, o trackback desde tu propio sitio.

6 Respuestas

  1. 1
    Bel 

    Gracias por compartir este. Esto es lo que yo quiero un paso a paso, ya que soy nuevo en linux. No sé cuál es el significado de los comandos. Realizo todos los comandos y lo que es el siguiente paso de ese? ¿Puedo ejecutar ahora la chispa? Muchas Gracias!!!

  2. 2
    Bel 

    Yo era capaz de correr la chispa después de esta. La ventana apareció! gran!

    /opt / Spark $. / arranque
    pruebas de JVM en / usr …
    /opt / Spark $ sh-x. / Spark

    Pero cuando entré en la jabber.apac.local en el cuadro Servidor, no se puede conectar. Pero en ventanas mismo servidor que estoy utilizando y su trabajo. ¿Hay algo que puedo hacer aquí?

    Por favor avise. Muchas Gracias!!!!

  3. 3
    Difícil 

    Hola Bel

    Me temo que no estoy familiarizado con Spark solución de problemas una vez que se está ejecutando actualmente, ya que nunca he tenido ningún problema similares. Estoy feliz de que al menos ayudó a una persona obtener un poco más allá. 🙂

    Creo que los próximos pasos serían para comprobar si usted no tiene un problema de tipo firewall prevenir sus peticiones de abandonar el escritorio Linux. Si ese no es el problema, No estoy del todo seguro de cómo proceder.

  4. 4
    Bel 

    Gracias Tricky! Yo voy a pedir a nuestro equipo de seguridad si están bloqueando algo cuando los usuarios están utilizando máquina Linux. Traté pidgin también y no su trabajo. Muchas gracias de nuevo!!!

  5. 5
    Bel 

    Aquí estoy de nuevo! 🙂 I was able to get it worked Tricky! Pero el uso de PIDGIN. Parece que hay un problema de dns. en el servidor que entré en la IP real y sí funcionó. Pero a través de nombres DNS? hay alegría…

    Tengo un problema ahora con la chispa. Una vez desactivo el OpenJDK en el software sysmte No puedo correr el Spark a través de terminales es porque mi vpn no funcionará si permite. No sé lo que pasó. Me estaba sesión cronometrada de salida al conectar con VPN enebro. Se estaba trabajando bien, pero sólo hoy cuando lo abro su tiempo de espera y yo investigado lo puede solucionar ese problema es mediante la desactivación de la JDK. 🙁 it worked but the spark don’t!

    ¿Ideas? Aquí está el java-versión de la mina

    versión java “1.6.0_20”
    OpenJDK Runtime Environment (Icedtea6 1.9.1) (6b20-1.9.1-1ubuntu3)
    OpenJDK VM Server (construir 17.0-b16, modo mixto)

    Muchas gracias!!!

  6. 6
    Bel 

    ok Tricky su trabajo ahora! jeje. Spark y VPN no tener ningún conflicto ahora. Lo que hice fue,

    apt-get autoremove

    sudo apt-get install openjdk-6-jdk

    a continuación, reinicie y funcionó bien! Muchas Gracias!!! Dios los bendiga!

Deja un comentario » Iniciar la sesión